Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class WSAEndpointReferenceUtils

    java.lang.Object
      org.apache.cxf.wsdl.WSAEndpointReferenceUtils

    public final class WSAEndpointReferenceUtils

extends Object

Provides utility methods for obtaining endpoint references, wsdl definitions, etc.

Field Summary
`static String` | `ANONYMOUS_ADDRESS`

Method Summary
`static EndpointReferenceType` | `createEndpointReferenceWithMetadata()`
`static EndpointReferenceType` | `duplicate(EndpointReferenceType ref)` Create a duplicate endpoint reference sharing all atributes
`static String` | `getAddress(EndpointReferenceType ref)` Get the address from the provided endpoint reference.
`static EndpointReferenceType` | `getAnonymousEndpointReference()` Create an anonymous endpoint reference.
`static EndpointReferenceType` | `getEndpointReference(AttributedURIType address)`
`static EndpointReferenceType` | `getEndpointReference(String address)` Create an endpoint reference for the provided address.
`static MetadataType` | `getSetMetadata(EndpointReferenceType ref)`
`static void` | `setAddress(EndpointReferenceType ref, String address)` Set the address of the provided endpoint reference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANONYMOUS_ADDRESS

    public static final String ANONYMOUS_ADDRESS

See Also:
  Constant Field Values

Method Detail

### createEndpointReferenceWithMetadata

    public static EndpointReferenceType createEndpointReferenceWithMetadata()

### getSetMetadata

    public static MetadataType getSetMetadata(EndpointReferenceType ref)

### setAddress

    public static void setAddress(EndpointReferenceType ref,
                                  String address)

  Set the address of the provided endpoint reference.

  Parameters:
    `ref` - - the endpoint reference
    `address` - - the address

### getAddress

    public static String getAddress(EndpointReferenceType ref)

  Get the address from the provided endpoint reference.

  Parameters:
    `ref` - - the endpoint reference
  Returns:
    String the address of the endpoint

### duplicate

    public static EndpointReferenceType duplicate(EndpointReferenceType ref)

  Create a duplicate endpoint reference sharing all atributes

  Parameters:
    `ref` - the reference to duplicate
  Returns:
    EndpointReferenceType - the duplicate endpoint reference

### getEndpointReference

    public static EndpointReferenceType getEndpointReference(String address)

  Create an endpoint reference for the provided address.

  Parameters:
    `address` - - address URI
  Returns:
    EndpointReferenceType - the endpoint reference

### getEndpointReference

    public static EndpointReferenceType getEndpointReference(AttributedURIType address)

### getAnonymousEndpointReference

    public static EndpointReferenceType getAnonymousEndpointReference()

  Create an anonymous endpoint reference.

  Returns:
    EndpointReferenceType - the endpoint reference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF